Skip to main content
`Ctrl`+`K`

# numpy.random.shuffle

random.shuffle(x)

  Modify a sequence in-place by shuffling its contents.

  This function only shuffles the array along the first axis of a multi-dimensional array. The order of sub-arrays is changed but their contents remains the same.

  Note

  New code should use the `shuffle` method of a `Generator` instance instead; please see the Quick start.

  Parameters:
    x ndarray or MutableSequence

      The array, list or mutable sequence to be shuffled.

  Returns:
    None

  See also

  `random.Generator.shuffle`

    which should be used for new code.

  Examples

      >>> arr = np.arange(10)
      >>> np.random.shuffle(arr)
      >>> arr
      [1 7 5 2 9 4 3 6 0 8] # random

  Multi-dimensional arrays are only shuffled along the first axis:

      >>> arr = np.arange(9).reshape((3, 3))
      >>> np.random.shuffle(arr)
      >>> arr
      array([[3, 4, 5], # random
             [6, 7, 8],
             [0, 1, 2]])